com.lowagie.text.rtf

## Interface RtfExtendedElement

- All Superinterfaces:
    RtfBasicElement, RtfElementInterface
  All Known Implementing Classes:
    RtfCell, RtfCodePage, RtfColor, RtfColorList, RtfFont, RtfFontList, RtfList, RtfListLevel, RtfListTable, RtfPageSetting, RtfParagraphStyle, RtfPictureList, RtfStylesheetList

      public interface RtfExtendedElement
      extends RtfBasicElement

  The RtfExtendedElement interface is to be used for elements that also write data into the definition part of the rtf document
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeDefinition(java.io.OutputStream out)` Write the definition part of the element

    - ### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `setInHeader, setInTable, setRtfDocument, writeContent`

- - ### Method Detail

    - #### writeDefinition

          void writeDefinition(java.io.OutputStream out)
                               throws java.io.IOException

      Write the definition part of the element
      Parameters:
        `out` - The `OutputStream` to write the element definition to
      Throws:
        `java.io.IOException`